<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.fire.mapper.DemLawSituationMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.fire.domain.DemLawSituation">
        <id column="id" property="id" />
        <result column="punished_person" property="punishedPerson" />
        <result column="counterpart_name" property="counterpartName" />
        <result column="counterpart_type" property="counterpartType" />
        <result column="social_credit_code" property="socialCreditCode" />
        <result column="registration_number" property="registrationNumber" />
        <result column="organization_code" property="organizationCode" />
        <result column="tax_registration_number" property="taxRegistrationNumber" />
        <result column="company_certificate_number" property="companyCertificateNumber" />
        <result column="organization_registration_number" property="organizationRegistrationNumber" />
        <result column="legal_representative" property="legalRepresentative" />
        <result column="representative_document_type" property="representativeDocumentType" />
        <result column="representative_document_number" property="representativeDocumentNumber" />
        <result column="document_type" property="documentType" />
        <result column="document_number" property="documentNumber" />
        <result column="punishment_decision_number" property="punishmentDecisionNumber" />
        <result column="illegal_facts_content" property="illegalFactsContent" />
        <result column="illegal_acts_type" property="illegalActsType" />
        <result column="illegal_facts" property="illegalFacts" />
        <result column="punishment_basis" property="punishmentBasis" />
        <result column="punishment_type" property="punishmentType" />
        <result column="punishment_content" property="punishmentContent" />
        <result column="penalty_amount" property="penaltyAmount" />
        <result column="illegal_income" property="illegalIncome" />
        <result column="revocation_license" property="revocationLicense" />
        <result column="punishment_decision_time" property="punishmentDecisionTime" />
        <result column="punishment_validity_date" property="punishmentValidityDate" />
        <result column="publicity_deadline" property="publicityDeadline" />
        <result column="punishment_authority" property="punishmentAuthority" />
        <result column="authority_credit_code" property="authorityCreditCode" />
        <result column="data_source_company" property="dataSourceCompany" />
        <result column="company_credit_code" property="companyCreditCode" />
        <result column="remarks" property="remarks" />
        <result column="information_matters" property="informationMatters" />
        <result column="union_key" property="unionKey" />
        <result column="enable" property="enable" />
    </resultMap>

</mapper>
